# Запросить у пользователя координаты x и y двух точек на плоскости.
# Посчитать расстояние между заданными точками и вывести результат на консоль
# с точностью до трёх знаков после запятой (плавающей точки).
#
# Примечание: у каждой точки есть две координаты: x и y. Расстояние рассчитывается по формуле,
# которую вы с лёгкостью найдёте в Интернете (да, гуглить всё, что вы не знаете - очень полезно!).

import math
input("Введите координаты первой точки (для продолжения нажмите Enter):")
x1 = float(input("x1="))
y1 = float(input("y1="))

input("Введите координаты втрой точки (для продолжения нажмите Enter):")
x2 = float(input("x2="))
y2 = float(input("y2="))

#Теперь внутрикомпьютерные рассчеты:
length = math.sqrt( ((x1-x2)**2) + ((y1-y2)**2) )       #Вычисляем гипотенузу
length = round(length, 3)                               #Округляем полученное значение до 3 знаков после запятой

print("Длинна отрезка: " + str(length))